update fdt_parametros set descripcion = 'Método para obtener Porcentaje de Riesgos'
where parametro = 'autoliq' and secuencia = 33;
commit;
CREATE OR REPLACE VIEW vw_fco_companias  
AS  
SELECT  
 C.compania, registro_fiscal, C.nombre_cia,  
 NVL(C.domicilio,' ') domicilio,   
 NVL(C.telefono,' ') telefono,   
 NVL((SELECT A.cod_dpto FROM fco_cias_datos_adi A WHERE C.compania = A.compania), '11') AS cod_dpto,
 NVL((SELECT A.cod_ciudad FROM fco_cias_datos_adi A WHERE C.compania = A.compania),'001') cod_ciudad,   
 NVL((SELECT A.fax FROM fco_cias_datos_adi A WHERE C.compania = A.compania),' ') fax,   
 NVL((SELECT A.nit_ARP FROM fco_cias_datos_adi A WHERE C.compania = A.compania),'000000000-0') nit_ARP,   
 NVL((SELECT A.nombre_ARP FROM fco_cias_datos_adi A WHERE C.compania = A.compania),' ') nombre_ARP,   
 NVL((SELECT A.clase_aportante FROM fco_cias_datos_adi A WHERE C.compania = A.compania),'G') clase_aportante,   
 NVL((SELECT A.forma_presentacion FROM fco_cias_datos_adi A WHERE C.compania = A.compania),'U') forma_presentacion,   
 NVL((SELECT A.nro_patronal FROM fco_cias_datos_adi A WHERE C.compania = A.compania),' ') nro_patronal,  
 NVL((SELECT A.nombre_retenedor FROM fco_cias_datos_adi A WHERE C.compania = A.compania), ' ') pagador_nombre,  
 NVL((SELECT A.cedula_retenedor FROM fco_cias_datos_adi A WHERE C.compania = A.compania), ' ') pagador_id,  
 NVL((SELECT A.agencias FROM fco_cias_datos_adi A WHERE C.compania = A.compania), ' ') agencias,  
 NVL((SELECT A.cod_admon FROM fco_cias_datos_adi A WHERE C.compania = A.compania), ' ') cod_admon,
 NVL((SELECT d.nombre FROM fco_cias_datos_adi a, fco_departamentos d WHERE d.codigo = a.cod_dpto and a.compania = c.compania), ' ') nom_dpto,
 NVL((SELECT m.nombre FROM fco_cias_datos_adi a, fco_ciudades m WHERE m.cod_dpto = a.cod_dpto and m.codigo = a.cod_ciudad and a.compania = c.compania), ' ') nom_ciudad
FROM companias C;
CREATE PUBLIC SYNONYM vw_fco_companias FOR ADAM.vw_fco_companias;
GRANT ALL ON vw_fco_companias TO ADAMA;
